%Example Cdoe
%Data: MovieLens100k

mex -largeArrayDims setzeros.cpp
mex -largeArrayDims step1.c
mex -largeArrayDims step2.cpp
mex -largeArrayDims step3.cpp
mex -largeArrayDims getR.cpp
mex -largeArrayDims evalRMSE.cpp

train = importdata('m100ktrain.ratings', ' ');
test = importdata('m100ktest.ratings', ' ');
train = spconvert(train);
test = spconvert(test);
clearvars ratings;

k = 30;
lambda = 10;
minRating = 0.5;
maxRating = 5;
maxiter = 300;

[test_error, time] = BMC_ADMM(train, test, minRating, maxRating, lambda, k, maxiter, 'test', 0);






